org.apache.ignite.internal.visor.shutdown

## Class VisorShutdownPolicyTaskArg

- java.lang.Object
- - org.apache.ignite.internal.dto.IgniteDataTransferObject
  - - org.apache.ignite.internal.visor.shutdown.VisorShutdownPolicyTaskArg

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorShutdownPolicyTaskArg
    extends IgniteDataTransferObject

Arguments for shutdown policy task.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`V1, V2, V3, V4, V5, V6, V7, V8, V9`

### Constructor Summary

Constructors
Constructor and Description
`VisorShutdownPolicyTaskArg()` Default constructor for serialization.
`VisorShutdownPolicyTaskArg(ShutdownPolicy shutdown)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ShutdownPolicy` `getShutdown()` Get policy.
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`void` `setShutdown(ShutdownPolicy shutdown)` Set policy.
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorShutdownPolicyTaskArg

    public VisorShutdownPolicyTaskArg()

Default constructor for serialization.

#### VisorShutdownPolicyTaskArg

    public VisorShutdownPolicyTaskArg(ShutdownPolicy shutdown)

Parameters:
  `shutdown` - Shutdown policy.

### Method Detail

#### getShutdown

    public ShutdownPolicy getShutdown()

Get policy.

Returns:
  Shutdown policy.

#### setShutdown

    public void setShutdown(ShutdownPolicy shutdown)

Set policy.

Parameters:
  `shutdown` - Shutdown policy.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `IgniteDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `IgniteDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021